### Name: netmodels-package
### Title: Set of functions for the study of scale free and small world
###   networks
### Aliases: netmodels-package netmodels


### ** Examples


#
# The folowing example shows the utilization of the high level functions
#

library(netmodels)

# Loading the test data object (please note this is a Igraph object)

data(test.net,package="netmodels")

# Test the power law behavior on the degree distribution of the network:

r <- do.power.law(test.net)

# Test the small world behavior of the network:

r <- do.small.world(test.net)

# Get a basic description of the network:

r <- do.base.description(test.net)

# If the network have a multiple links between nodes, maybe its useful to have a comparison of both scenarios:

r <- do.degree.description(test.net)

# Link frequency between nodes:

r <- do.links.description(test.net) 

# Plot the cumulative degree distribution:

plot.c.degree(test.net)




